#!/bin/bash

############################################################################
#
# MODULE:       GUI
# AUTHOR(S):    CacheGuard Development Team
# COPYRIGHT:    (C) 2009-2017 by CacheGuard Technologies Ltd
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
#
###########################################################################

show-port-form()
{
    local width i=0

    itemWidth[0]=80
    itemWidth[1]=20

    itemTitle[${i}]="Forwarding Proxy Port" ; ((i++))
    itemTitle[${i}]="Transparent HTTP Proxy Port" ; ((i++))
    itemTitle[${i}]="Transparent HTTPS Proxy Port" ; ((i++))
    itemTitle[${i}]="Antivirus Port" ; ((i++))
    itemTitle[${i}]="HTTP Peer Port" ; ((i++))
    itemTitle[${i}]="HTCP Peer Port" ; ((i++))
    itemTitle[${i}]="DHCP Peer Port" ; ((i++))
    itemTitle[${i}]="Web Admin Port" ; ((i++))
    itemTitle[${i}]="Web Audit Port" ; ((i++))

    i=0
    
    itemID[${i}]="port_proxy" ; ((i++))
    itemID[${i}]="port_thttp" ; ((i++))
    itemID[${i}]="port_thttps" ; ((i++))
    itemID[${i}]="port_antivirus" ; ((i++))
    itemID[${i}]="port_http_peer" ; ((i++))
    itemID[${i}]="port_htcp_peer" ; ((i++))
    itemID[${i}]="port_dhcp" ; ((i++))
    itemID[${i}]="port_wadmin" ; ((i++))
    itemID[${i}]="port_waudit" ; ((i++))

    i=0
    
    blankItemContent[${i}]="type=text size=5 maxlength=5 value='${PROXY_PORT}'" ; ((i++))
    blankItemContent[${i}]="type=text size=5 maxlength=5 value='${THTTP_PORT}'" ; ((i++))
    blankItemContent[${i}]="type=text size=5 maxlength=5 value='${THTTPS_PORT}'" ; ((i++))
    blankItemContent[${i}]="type=text size=5 maxlength=5 value='${AV_PORT}'" ; ((i++))
    blankItemContent[${i}]="type=text size=5 maxlength=5 value='${PEER_HTTP_PORT}'" ; ((i++))
    blankItemContent[${i}]="type=text size=5 maxlength=5 value='${PEER_HTCP_PORT}'" ; ((i++))
    blankItemContent[${i}]="type=text size=5 maxlength=5 value='${DHCP_PEER_PORT}'" ; ((i++))
    blankItemContent[${i}]="type=text size=5 maxlength=5 value='${WADMIN_PORT}'" ; ((i++))
    blankItemContent[${i}]="type=text size=5 maxlength=5 value='${WAUDIT_PORT}'" ; ((i++))

    for ((i=0 ; i<9 ; i++))
    do
	checkItem[${i}]=port
    done
    
    show-title "Listening Ports" "enabled" "port"
    show-form "${width}"
}

# Main()

show-port-form
